com.ihr.xbrl.comparator

## Class Path

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Event>
      - - com.ihr.xbrl.comparator.Path

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Event>, java.util.Collection<Event>, java.util.List<Event>, java.util.RandomAccess

      public class Path
      extends java.util.Vector<Event>
      implements java.io.Serializable

  A Path is a sequence of events.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Path()` Empty constructor.
    `Path(net.sf.saxon.om.NodeInfo info, VlVersioningProcessor processor)` Creates a new Path from the information in the nodeInfo.
    `Path(XBRLFactTuple tuple, VlVersioningProcessor processor)` Creates a new Path from the information in the XBRLFactTuple.

  - ### Method Summary

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Path

          public Path()

      Empty constructor.

    - #### Path

          public Path(net.sf.saxon.om.NodeInfo info,
              VlVersioningProcessor processor)

      Creates a new Path from the information in the nodeInfo.
      Parameters:
        `info` - the info
        `processor` - the processor

    - #### Path

          public Path(XBRLFactTuple tuple,
              VlVersioningProcessor processor)

      Creates a new Path from the information in the XBRLFactTuple.
      Parameters:
        `tuple` - the tuple
        `processor` - the processor